=begin pod

=TITLE class X::Syntax::Augment::Role

    class X::Syntax::Augment::Role does X::Syntax { }

Compile time error thrown when trying to agument a role.

For example

    use MONKEY_TYPING;
    augment role Positional { }

dies with

    ===SORRY!===
    Cannot augment role Positional, since roles are immutable

=head1 Methods

=head2 role-name

    method role-name() returns Str:D

Returns the name of the role that was attempted to augment.

=end pod
